class Category

This file provides property and method documentation for the model category.

This file is generated by the XELOS command line tool xf kickstart. It will be overwritten when new kickstart actions are performed.

Add @mixin \XELOS\Modules\Groups\Docs\ClassGenerated\Model\Category to the model to get access to the properties.

Properties

int $id
string $pid
int $left_id
int $right_id
int $tree_id
int $group_id
string $title_i18n

Methods

all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

int
count_all(mixed $sql_params)

Returns the count

int
delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

xm_groups_category|null
find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Details

at line 31
CategoryCollection all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

Parameters

mixed $sql_params

Return Value

CategoryCollection

at line 31
int count_all(mixed $sql_params)

Returns the count

Parameters

mixed $sql_params

Return Value

int

at line 31
int delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

Parameters

int $id
mixed $sql_params

Return Value

int

at line 31
CategoryCollection find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

CategoryCollection

at line 31
xm_groups_category|null find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

xm_groups_category|null